package com.ozacc.mail.fetch.impl;

import junit.framework.TestCase;

import org.apache.log4j.BasicConfigurator;

/**
 * 
 * @since 1.2
 * @author Tomohiro Otsuka
 * @version $Id: FetchMailProImplRealTest.java,v 1.1.2.3 2005/01/18 07:29:31 otsuka Exp $
 */
public class FetchMailProImplRealTest extends TestCase {

	private String username = "username";

	private String password = "password";

	private String protocol = "pop3";

	private String host = "localhost";

	private FetchMailProImpl fetchMail;

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		BasicConfigurator.configure();

		fetchMail = new FetchMailProImpl();
		fetchMail.setHost(host);
		fetchMail.setProtocol(protocol);
		fetchMail.setUsername(username);
		fetchMail.setPassword(password);
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
		BasicConfigurator.resetConfiguration();
	}

	/*public void testGetMails() throws Exception {
	 fetchMail.connect();
	 ReceivedMail[] mails = fetchMail.getMails(false);
	 fetchMail.disconnect();
	 }*/

	/**
	 * テストケースがひとつもないとビルド時にエラーになるので、ダミー。
	 */
	public void testDummy() {
		assertTrue(true);
	}
}